com.ibm.openpages.api.workflow

## Enum WFActionType

- java.lang.Object
- - java.lang.Enum<WFActionType>
  - - com.ibm.openpages.api.workflow.WFActionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WFActionType>

      public enum WFActionType
      extends java.lang.Enum<WFActionType>

  Represents the type of the workflow actions

  Since:
    8.0.0.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `createObjects` Represents action type to create one or more new objects
    `customAction` Represents action type to set custom action
    `launchNewProcess` Represents action type to start a new independent workflow instance
    `launchSubProcess` NOT SUPPORTED ON 8.0.0.2.
    `lockUnlockObjects` Represents action type to lock or unlock one or more objects
    `questionnaireScoreAssessment` Represents action type to create objects based on the score of an assessment answer.
    `runCalculation` Represents action type to run a given calculation on a selected object
    `setActivityDueDate` Represents action type to set due date of target activity
    `setAssignees` Represents action type to set assignees of target activity
    `setCriticality` Represents action type to set process criticality
    `setFields` Represents action type to set object field
    `setOtherActors` Represents action type to set the other actors
    `setProcessDueDate` Represents action type to set due date of process
    `setProcessOwners` Represents action type to set process owners
    `setProcessStatus` Represents action type to set process status message
    `setSubscribers` Represents action type to set the Subscribers
    `validate` Represents action type to validate the operation.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WFActionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WFActionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### setFields

          public static final WFActionType setFields

      Represents action type to set object field

    - #### validate

          public static final WFActionType validate

      Represents action type to validate the operation. Wrapping operation ( transition, pre-activity or post-activity ) are rolled back when the validation is not met.

    - #### setAssignees

          public static final WFActionType setAssignees

      Represents action type to set assignees of target activity

    - #### setCriticality

          public static final WFActionType setCriticality

      Represents action type to set process criticality

    - #### launchSubProcess

          public static final WFActionType launchSubProcess

      NOT SUPPORTED ON 8.0.0.2. DO NOT USE THIS API. THIS IS SUBJECT TO CHANGE IN THE FUTURE RELEASE. Represents action type to launch sub-process

    - #### setProcessStatus

          public static final WFActionType setProcessStatus

      Represents action type to set process status message

    - #### setProcessOwners

          public static final WFActionType setProcessOwners

      Represents action type to set process owners

    - #### setSubscribers

          public static final WFActionType setSubscribers

      Represents action type to set the Subscribers

    - #### setOtherActors

          public static final WFActionType setOtherActors

      Represents action type to set the other actors

    - #### setActivityDueDate

          public static final WFActionType setActivityDueDate

      Represents action type to set due date of target activity

    - #### setProcessDueDate

          public static final WFActionType setProcessDueDate

      Represents action type to set due date of process

    - #### customAction

          public static final WFActionType customAction

      Represents action type to set custom action

    - #### launchNewProcess

          public static final WFActionType launchNewProcess

      Represents action type to start a new independent workflow instance
      Since:
        8.1

    - #### createObjects

          public static final WFActionType createObjects

      Represents action type to create one or more new objects
      Since:
        8.1

    - #### lockUnlockObjects

          public static final WFActionType lockUnlockObjects

      Represents action type to lock or unlock one or more objects
      Since:
        8.1

    - #### runCalculation

          public static final WFActionType runCalculation

      Represents action type to run a given calculation on a selected object
      Since:
        8.2.0.3

    - #### questionnaireScoreAssessment

          public static final WFActionType questionnaireScoreAssessment

      Represents action type to create objects based on the score of an assessment answer. Action is for questionnaire assessment workflows only.
      Since:
        8.3.0.1

  - ### Method Detail

    - #### values

          public static WFActionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WFActionType c : WFActionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WFActionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.